Package org.apache.storm.generated

## Enum SupervisorSummary._Fields

- java.lang.Object
- - java.lang.Enum<SupervisorSummary._Fields>
  - - org.apache.storm.generated.SupervisorSummary._Fields

- All Implemented Interfaces:
    `Serializable`, `Comparable<SupervisorSummary._Fields>`, `org.apache.storm.thrift.TFieldIdEnum`
  Enclosing class:
    SupervisorSummary

      public static enum SupervisorSummary._Fields
      extends Enum<SupervisorSummary._Fields>
      implements org.apache.storm.thrift.TFieldIdEnum

  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BLACKLISTED` |
    `FRAGMENTED_CPU` |
    `FRAGMENTED_MEM` |
    `HOST` |
    `NUM_USED_WORKERS` |
    `NUM_WORKERS` |
    `SUPERVISOR_ID` |
    `TOTAL_RESOURCES` |
    `UPTIME_SECS` |
    `USED_CPU` |
    `USED_GENERIC_RESOURCES` |
    `USED_MEM` |
    `VERSION` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SupervisorSummary._Fields` | `findByName​(String name)` | Find the _Fields constant that matches name, or null if its not found.
    `static SupervisorSummary._Fields` | `findByThriftId​(int fieldId)` | Find the _Fields constant that matches fieldId, or null if its not found.
    `static SupervisorSummary._Fields` | `findByThriftIdOrThrow​(int fieldId)` | Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
    `String` | `getFieldName()` |
    `short` | `getThriftFieldId()` |
    `static SupervisorSummary._Fields` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SupervisorSummary._Fields[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HOST

          public static final SupervisorSummary._Fields HOST

    - #### UPTIME_SECS

          public static final SupervisorSummary._Fields UPTIME_SECS

    - #### NUM_WORKERS

          public static final SupervisorSummary._Fields NUM_WORKERS

    - #### NUM_USED_WORKERS

          public static final SupervisorSummary._Fields NUM_USED_WORKERS

    - #### SUPERVISOR_ID

          public static final SupervisorSummary._Fields SUPERVISOR_ID

    - #### VERSION

          public static final SupervisorSummary._Fields VERSION

    - #### TOTAL_RESOURCES

          public static final SupervisorSummary._Fields TOTAL_RESOURCES

    - #### USED_MEM

          public static final SupervisorSummary._Fields USED_MEM

    - #### USED_CPU

          public static final SupervisorSummary._Fields USED_CPU

    - #### FRAGMENTED_MEM

          public static final SupervisorSummary._Fields FRAGMENTED_MEM

    - #### FRAGMENTED_CPU

          public static final SupervisorSummary._Fields FRAGMENTED_CPU

    - #### BLACKLISTED

          public static final SupervisorSummary._Fields BLACKLISTED

    - #### USED_GENERIC_RESOURCES

          public static final SupervisorSummary._Fields USED_GENERIC_RESOURCES

  - ### Method Detail

    - #### values

          public static SupervisorSummary._Fields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SupervisorSummary._Fields c : SupervisorSummary._Fields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SupervisorSummary._Fields valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### findByThriftId

          public static SupervisorSummary._Fields findByThriftId​(int fieldId)

      Find the _Fields constant that matches fieldId, or null if its not found.

    - #### findByThriftIdOrThrow

          public static SupervisorSummary._Fields findByThriftIdOrThrow​(int fieldId)

      Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

    - #### findByName

          public static SupervisorSummary._Fields findByName​(String name)

      Find the _Fields constant that matches name, or null if its not found.

    - #### getThriftFieldId

          public short getThriftFieldId()

      Specified by:
        `getThriftFieldId` in interface `org.apache.storm.thrift.TFieldIdEnum`

    - #### getFieldName

          public String getFieldName()

      Specified by:
        `getFieldName` in interface `org.apache.storm.thrift.TFieldIdEnum`